/* Object identifiers (OIDs) used by strongSwan
 * Copyright (C) 2003-2008 Andreas Steffen, Hochschule fuer Technik Rapperswil
 * 
 * This file has been automatically generated by the script oid.pl
 * Do not edit manually!
 */

#include <utils/utils.h>

#ifndef OID_H_
#define OID_H_

typedef struct {
    u_char octet;
    u_int  next;
    u_int  down;
    u_int  level;
    const u_char *name;
} oid_t;

extern const oid_t oid_names[];

#define OID_UNKNOWN							-1
#define OID_NAME_DISTINGUISHER				6
#define OID_PILOT_USERID					16
#define OID_PILOT_DOMAIN_COMPONENT			17
#define OID_COMMON_NAME						20
#define OID_SURNAME							21
#define OID_SERIAL_NUMBER					22
#define OID_COUNTRY							23
#define OID_LOCALITY						24
#define OID_STATE_OR_PROVINCE				25
#define OID_ORGANIZATION					26
#define OID_ORGANIZATION_UNIT				27
#define OID_TITLE							28
#define OID_DESCRIPTION						29
#define OID_USER_CERTIFICATE				30
#define OID_NAME							31
#define OID_GIVEN_NAME						32
#define OID_INITIALS						33
#define OID_UNIQUE_IDENTIFIER				34
#define OID_DN_QUALIFIER					35
#define OID_PSEUDONYM						36
#define OID_ROLE							37
#define OID_SUBJECT_KEY_ID					40
#define OID_KEY_USAGE						41
#define OID_SUBJECT_ALT_NAME				43
#define OID_BASIC_CONSTRAINTS				45
#define OID_CRL_NUMBER						46
#define OID_CRL_REASON_CODE					47
#define OID_DELTA_CRL_INDICATOR				50
#define OID_ISSUING_DIST_POINT				51
#define OID_NAME_CONSTRAINTS				53
#define OID_CRL_DISTRIBUTION_POINTS			54
#define OID_CERTIFICATE_POLICIES			55
#define OID_ANY_POLICY						56
#define OID_POLICY_MAPPINGS					57
#define OID_AUTHORITY_KEY_ID				58
#define OID_POLICY_CONSTRAINTS				59
#define OID_EXTENDED_KEY_USAGE				60
#define OID_FRESHEST_CRL					62
#define OID_INHIBIT_ANY_POLICY				63
#define OID_TARGET_INFORMATION				64
#define OID_NO_REV_AVAIL					65
#define OID_CAMELLIA128_CBC					76
#define OID_CAMELLIA192_CBC					77
#define OID_CAMELLIA256_CBC					78
#define OID_RSA_ENCRYPTION					91
#define OID_MD2_WITH_RSA					92
#define OID_MD5_WITH_RSA					93
#define OID_SHA1_WITH_RSA					94
#define OID_RSAES_OAEP						95
#define OID_SHA256_WITH_RSA					98
#define OID_SHA384_WITH_RSA					99
#define OID_SHA512_WITH_RSA					100
#define OID_SHA224_WITH_RSA					101
#define OID_PBE_MD5_DES_CBC					103
#define OID_PBE_SHA1_DES_CBC				104
#define OID_PBKDF2							105
#define OID_PBES2							106
#define OID_PKCS7_DATA						108
#define OID_PKCS7_SIGNED_DATA				109
#define OID_PKCS7_ENVELOPED_DATA			110
#define OID_PKCS7_SIGNED_ENVELOPED_DATA		111
#define OID_PKCS7_DIGESTED_DATA				112
#define OID_PKCS7_ENCRYPTED_DATA			113
#define OID_EMAIL_ADDRESS					115
#define OID_UNSTRUCTURED_NAME				116
#define OID_PKCS9_CONTENT_TYPE				117
#define OID_PKCS9_MESSAGE_DIGEST			118
#define OID_PKCS9_SIGNING_TIME				119
#define OID_CHALLENGE_PASSWORD				121
#define OID_UNSTRUCTURED_ADDRESS			122
#define OID_EXTENSION_REQUEST				123
#define OID_X509_CERTIFICATE				126
#define OID_PBE_SHA1_RC4_128				130
#define OID_PBE_SHA1_RC4_40					131
#define OID_PBE_SHA1_3DES_CBC				132
#define OID_PBE_SHA1_3DES_2KEY_CBC			133
#define OID_PBE_SHA1_RC2_CBC_128			134
#define OID_PBE_SHA1_RC2_CBC_40				135
#define OID_P12_KEY_BAG						138
#define OID_P12_PKCS8_KEY_BAG				139
#define OID_P12_CERT_BAG					140
#define OID_P12_CRL_BAG						141
#define OID_MD2								145
#define OID_MD5								146
#define OID_3DES_EDE_CBC					148
#define OID_EC_PUBLICKEY					152
#define OID_C2PNB163V1						155
#define OID_C2PNB163V2						156
#define OID_C2PNB163V3						157
#define OID_C2PNB176W1						158
#define OID_C2PNB191V1						159
#define OID_C2PNB191V2						160
#define OID_C2PNB191V3						161
#define OID_C2PNB191V4						162
#define OID_C2PNB191V5						163
#define OID_C2PNB208W1						164
#define OID_C2PNB239V1						165
#define OID_C2PNB239V2						166
#define OID_C2PNB239V3						167
#define OID_C2PNB239V4						168
#define OID_C2PNB239V5						169
#define OID_C2PNB272W1						170
#define OID_C2PNB304W1						171
#define OID_C2PNB359V1						172
#define OID_C2PNB368W1						173
#define OID_C2PNB431R1						174
#define OID_PRIME192V1						176
#define OID_PRIME192V2						177
#define OID_PRIME192V3						178
#define OID_PRIME239V1						179
#define OID_PRIME239V2						180
#define OID_PRIME239V3						181
#define OID_PRIME256V1						182
#define OID_ECDSA_WITH_SHA1					184
#define OID_ECDSA_WITH_SHA224				186
#define OID_ECDSA_WITH_SHA256				187
#define OID_ECDSA_WITH_SHA384				188
#define OID_ECDSA_WITH_SHA512				189
#define OID_MS_SMARTCARD_LOGON				203
#define OID_USER_PRINCIPAL_NAME				204
#define OID_STRONGSWAN						210
#define OID_BLISS_PUBLICKEY					215
#define OID_BLISS_I							217
#define OID_BLISS_II						218
#define OID_BLISS_III						219
#define OID_BLISS_IV						220
#define OID_BLISS_B_I						221
#define OID_BLISS_B_II						222
#define OID_BLISS_B_III						223
#define OID_BLISS_B_IV						224
#define OID_BLISS_WITH_SHA2_512				226
#define OID_BLISS_WITH_SHA2_384				227
#define OID_BLISS_WITH_SHA2_256				228
#define OID_BLISS_WITH_SHA3_512				229
#define OID_BLISS_WITH_SHA3_384				230
#define OID_BLISS_WITH_SHA3_256				231
#define OID_TCGID							238
#define OID_BLOWFISH_CBC					242
#define OID_AUTHORITY_INFO_ACCESS			286
#define OID_IP_ADDR_BLOCKS					288
#define OID_POLICY_QUALIFIER_CPS			290
#define OID_POLICY_QUALIFIER_UNOTICE		291
#define OID_SERVER_AUTH						293
#define OID_CLIENT_AUTH						294
#define OID_OCSP_SIGNING					301
#define OID_XMPP_ADDR						307
#define OID_AUTHENTICATION_INFO				311
#define OID_ACCESS_IDENTITY					312
#define OID_CHARGING_IDENTITY				313
#define OID_GROUP							314
#define OID_OCSP							317
#define OID_BASIC							318
#define OID_NONCE							319
#define OID_CRL								320
#define OID_RESPONSE						321
#define OID_NO_CHECK						322
#define OID_ARCHIVE_CUTOFF					323
#define OID_SERVICE_LOCATOR					324
#define OID_CA_ISSUERS						325
#define OID_IKE_INTERMEDIATE				330
#define OID_DES_CBC							334
#define OID_SHA1							335
#define OID_SHA1_WITH_RSA_OIW				336
#define OID_ECGDSA_PUBKEY					355
#define OID_ECGDSA_SIG_WITH_RIPEMD160		358
#define OID_ECGDSA_SIG_WITH_SHA1			359
#define OID_ECGDSA_SIG_WITH_SHA224			360
#define OID_ECGDSA_SIG_WITH_SHA256			361
#define OID_ECGDSA_SIG_WITH_SHA384			362
#define OID_ECGDSA_SIG_WITH_SHA512			363
#define OID_SECT163K1						386
#define OID_SECT163R1						387
#define OID_SECT239K1						388
#define OID_SECT113R1						389
#define OID_SECT113R2						390
#define OID_SECT112R1						391
#define OID_SECT112R2						392
#define OID_SECT160R1						393
#define OID_SECT160K1						394
#define OID_SECT256K1						395
#define OID_SECT163R2						396
#define OID_SECT283K1						397
#define OID_SECT283R1						398
#define OID_SECT131R1						399
#define OID_SECT131R2						400
#define OID_SECT193R1						401
#define OID_SECT193R2						402
#define OID_SECT233K1						403
#define OID_SECT233R1						404
#define OID_SECT128R1						405
#define OID_SECT128R2						406
#define OID_SECT160R2						407
#define OID_SECT192K1						408
#define OID_SECT224K1						409
#define OID_SECT224R1						410
#define OID_SECT384R1						411
#define OID_SECT521R1						412
#define OID_SECT409K1						413
#define OID_SECT409R1						414
#define OID_SECT571K1						415
#define OID_SECT571R1						416
#define OID_AES128_CBC						425
#define OID_AES128_GCM						426
#define OID_AES128_CCM						427
#define OID_AES192_CBC						428
#define OID_AES192_GCM						429
#define OID_AES192_CCM						430
#define OID_AES256_CBC						431
#define OID_AES256_GCM						432
#define OID_AES256_CCM						433
#define OID_SHA256							435
#define OID_SHA384							436
#define OID_SHA512							437
#define OID_SHA224							438
#define OID_SHA3_224						441
#define OID_SHA3_256						442
#define OID_SHA3_384						443
#define OID_SHA3_512						444
#define OID_NS_REVOCATION_URL				452
#define OID_NS_CA_REVOCATION_URL			453
#define OID_NS_CA_POLICY_URL				454
#define OID_NS_COMMENT						455
#define OID_EMPLOYEE_NUMBER					458
#define OID_PKI_MESSAGE_TYPE				464
#define OID_PKI_STATUS						465
#define OID_PKI_FAIL_INFO					466
#define OID_PKI_SENDER_NONCE				467
#define OID_PKI_RECIPIENT_NONCE				468
#define OID_PKI_TRANS_ID					469
#define OID_TPM_MANUFACTURER				475
#define OID_TPM_MODEL						476
#define OID_TPM_VERSION						477
#define OID_TPM_ID_LABEL					478

#define OID_MAX								479

#endif /* OID_H_ */
